package com.yaoyicloud.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 报告模块类型
 *
 */
@Getter
@AllArgsConstructor
public enum ModuleType {
    CSO_PROMOTION_SIGNIFICANCE_DRUG("CSO_PROMOTION_SIGNIFICANCE_DRUG", "CSO推广目的及意义模块"),
    CSO_SITUATION_OVERVIEW_DRUG("CSO_SITUATION_OVERVIEW_DRUG", "CSO医药市场情况概况模块"),

    CSO_HEADER_XINHUA("CSO_HEADER_XINHUA", "CSO新华封面模块"),
    CSO_PROMOTION_SIGNIFICANCE_XINHUA("CSO_PROMOTION_SIGNIFICANCE_XINHUA", "CSO新华推广目的及意义模块"),
    CSO_SITUATION_OVERVIEW_XINHUA("CSO_SITUATION_OVERVIEW_XINHUA", "CSO新华医药市场情况概况模块"),
    CSO_PRODUCT_INTRODUCTION_XINHUA("CSO_PRODUCT_INTRODUCTION_XINHUA", "CSO新华产品介绍模块"),
    CSO_PROMOTION_DETAILS_XINHUA("CSO_PROMOTION_DETAILS_XINHUA", "CSO新华推广明细模块"),
    CSO_ATTACHMENT_XINHUA("CSO_ATTACHMENT_XINHUA", "CSO新华签章明细模块"),

    CSO_HEADER("CSO_HEADER", "CSO封面模块"),
    CSO_PRODUCT_INTRODUCTION("CSO_PRODUCT_INTRODUCTION", "CSO产品介绍模块"),
    CSO_PROMOTION_DETAILS_1611890606("CSO_PROMOTION_DETAILS_1611890606", "CSOv2_1611890606推广明细模块"),
    CSO_PROMOTION_SUMMARY("CSO_PROMOTION_SUMMARY", "CSO推广总结模块"),
    CSO_PROMOTION_DETAILS("CSO_PROMOTION_DETAILS", "CSO推广明细模块"),
    CSO_APPENDIX("CSO_APPENDIX", "CSO签章"),


    PLATFORM_COMPANY_BASICINFO("PLATFORM_COMPANY_BASICINFO", "平台公司基本信息"),
    FOUNDATION_BASICINFO("FOUNDATION_BASICINFO", "基金会基本信息"),
    ASSOCIATION_BASICINFO("ASSOCIATION_BASICINFO", "学协会基本信息"),
    PUBLIC_RECORD("PUBLIC_RECORD", "公共记录"),
    PROJECT("PROJECT", "项目信息"),
    INTERESTCONFLICTS("INTERESTCONFLICTS", "利益冲突"),
    ANTIBRIBERY("ANTIBRIBERY", "诚信保证"),
    COVER("COVER", "封面"),

    PLATFORM_COMPANY_FINANCIALINFO("PLATFORM_COMPANY_FINANCIALINFO", "平台公司财务"),
    FOUNDATION_FINANCIALINFO("FOUNDATION_FINANCIALINFO", "基金会财务"),
    PLATFORM_COMPANY_ATTACHMENTSECTION("PLATFORM_COMPANY_ATTACHMENTSECTION", "平台公司附件"),
    ASSOCIATION_ATTACHMENTSECTION("ASSOCIATION_ATTACHMENTSECTION", "学协会附件"),
    FOUNDATION_ATTACHMENTSECTION("FOUNDATION_ATTACHMENTSECTION", "基金会附件"),


    BUSINESS("BUSINESS", "工商信息"),
    OTHER("OTHER", "其他风险"),
    OPERATIONAL("OPERATIONAL", "经营风险"),
    JUDICIAL("JUDICIAL", "司法风险"),
    TAX("TAX", "税务风险");
    /**
     * 类型
     */
    @EnumValue
    private final String type;

    /**
     * 描述
     */
    private final String desc;
}
